Subject: RE: [Sipping] draft-elwell-sipping-service-retargeting-00.txt, RFC 387, and netann draft

From: "Francois Audet" <[email-masked]>
Date: Fri, 14 Oct 2005 18:50:02 -0500

> Francois,
> 
> IMO both netann and 3087 expect that the creator of the URI 
> *knows* that 
> the target of the URI *expects* these particular parameters 
> to be there.

Agreed.

> (Namely, I only put a "play" parameter on the URI for a media server 
> that is documented as accepting that, never on some 
> stranger's AOR or on 
> a registered contact address.)

Agreed.

> If that is an acceptable constraint on your proposal then I have less 
> trouble with it. These are then just some very perverse media servers 
> that like strangely spelled parameters.

Yes. That is exactly the point.

I expect a lot of PSTN gateways will be "perverse"... :^)

> OR, you could then go the other way and adopt some more 
> intuitive names 
> for these services, and just teach PSTN gateways to translate 
> those into 
> pstn-isms.

Yeah, I tought about that initially, but it doesn't really work.
You still have to embed the perversion of the old target in there
for a start. Also, the perverted old equipment don't understand
anything but very basic "redirection reasons"...

I'm glad we are starting to move forward.

Thanks.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP